# HyperDX OpenTelemetry Distro for Python

[![OSS Lifecycle](https://img.shields.io/osslifecycle/hyperdxio/hyperdx-opentelemetry-python)](https://github.com/hyperdxio/home/blob/main/hyperdx-oss-lifecycle-and-practices.md)
[![CircleCI](https://circleci.com/gh/hyperdxio/hyperdx-opentelemetry-python.svg?style=shield)](https://circleci.com/gh/hyperdxio/hyperdx-opentelemetry-python)
[![PyPi](https://img.shields.io/pypi/v/hyperdx-opentelemetry)](https://pypi.org/project/hyperdx-opentelemetry/)

**STATUS: this library is BETA.**
You're welcome to try it, and let us know your feedback in the issues!

This is HyperDX's Distribution of OpenTelemetry for Python.
It makes getting started with OpenTelemetry and HyperDX easier!

Latest release built with:

- [OpenTelemetry version 1.17.0/0.38b0](https://github.com/open-telemetry/opentelemetry-python/releases/tag/v1.17.0)

## Requirements

- Python 3.7 or higher

## Getting Started

HyperDX's Distribution of OpenTelemetry for Python allows you to streamline configuration and to instrument as quickly and easily as possible.

- [Documentation](https://docs.hyperdx.io/getting-data-in/opentelemetry/python/)
- [Examples](/examples/)
- See [DEVELOPING.md](/DEVELOPING.md) for additional instructions for building and testing this project in development.

## Why would I want to use this?

- Streamlined configuration for sending data to HyperDX!
- Easy interop with existing instrumentation with OpenTelemetry!
- Deterministic sampling!
- Multi-span attributes!
- Local visualizations!

## License

[Apache 2.0 License](./LICENSE).
